package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公告模块对象 lzyd_notice
 * 
 * @author ruoyi
 * @date 2021-04-07
 */
public class LzydNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String noticeId;

    /** 商户 */
    @Excel(name = "商户")
    private String appId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 数据创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createAt;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteAt;

    /** 跳转链接 */
    @Excel(name = "跳转链接")
    private String linkUrl;

    /** 公告跳转类型（1.文章，2.链接） */
    @Excel(name = "公告跳转类型", readConverterExp = "1=.文章，2.链接")
    private Integer noticeSkipType;

    /** 公告类型 */
    @Excel(name = "公告类型")
    private String noticeTypeId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNoticeId(String noticeId) 
    {
        this.noticeId = noticeId;
    }

    public String getNoticeId() 
    {
        return noticeId;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setCreateAt(Date createAt) 
    {
        this.createAt = createAt;
    }

    public Date getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(Date updateAt) 
    {
        this.updateAt = updateAt;
    }

    public Date getUpdateAt() 
    {
        return updateAt;
    }
    public void setDeleteAt(Date deleteAt) 
    {
        this.deleteAt = deleteAt;
    }

    public Date getDeleteAt() 
    {
        return deleteAt;
    }
    public void setLinkUrl(String linkUrl) 
    {
        this.linkUrl = linkUrl;
    }

    public String getLinkUrl() 
    {
        return linkUrl;
    }
    public void setNoticeSkipType(Integer noticeSkipType) 
    {
        this.noticeSkipType = noticeSkipType;
    }

    public Integer getNoticeSkipType() 
    {
        return noticeSkipType;
    }
    public void setNoticeTypeId(String noticeTypeId) 
    {
        this.noticeTypeId = noticeTypeId;
    }

    public String getNoticeTypeId() 
    {
        return noticeTypeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("noticeId", getNoticeId())
            .append("appId", getAppId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("deleteAt", getDeleteAt())
            .append("linkUrl", getLinkUrl())
            .append("noticeSkipType", getNoticeSkipType())
            .append("noticeTypeId", getNoticeTypeId())
            .toString();
    }
}
